Home Information Classes Download Usage Mail List Requirements Links Tutorial

# VoicForm Class Reference

Four formant synthesis instrument. More...

`#include <VoicForm.h>`

Inheritance diagram for VoicForm:

List of all members.

## Public Member Functions

| VoicForm ()
| Class constructor, taking the lowest desired playing frequency.
| ~VoicForm ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
bool | setPhoneme (const char *phoneme)
| Set instrument parameters for the given phoneme. Returns FALSE if phoneme not found.
void | setVoiced (MY_FLOAT vGain)
| Set the voiced component gain.
void | setUnVoiced (MY_FLOAT nGain)
| Set the unvoiced component gain.
void | setFilterSweepRate (int whichOne, MY_FLOAT rate)
| Set the sweep rate for a particular formant filter (0-3).
void | setPitchSweepRate (MY_FLOAT rate)
| Set voiced component pitch sweep rate.
void | speak ()
| Start the voice.
void | quiet ()
| Stop the voice.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

Four formant synthesis instrument.

This instrument contains an excitation singing wavetable (looping wave with random and periodic vibrato, smoothing on frequency, etc.), excitation noise, and four sweepable complex resonances.

Measured formant data is included, and enough data is there to support either parallel or cascade synthesis. In the floating point case cascade synthesis is the most natural so that's what you'll find here.

Control Change Numbers:

- Voiced/Unvoiced Mix = 2
- Vowel/Phoneme Selection = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Loudness (Spectral Tilt) = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 39 of file VoicForm.h.

The documentation for this class was generated from the following file:

- VoicForm.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.